Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1360697 - duplicate kernel backtraces make it impossible to report backtrace (taint caused by first backtrace)
Summary: duplicate kernel backtraces make it impossible to report backtrace (taint cau...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: abrt
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: abrt
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-07-27 11:02 UTC by Alan Jenkins
Modified: 2016-12-20 21:15 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 21:15:52 UTC


Attachments (Terms of Use)
dmesg copied from ABRT details, shows multiple backtraces, first backtrace is untainted (deleted)
2016-07-27 11:02 UTC, Alan Jenkins
no flags Details
ABRT screenshot showing the WARNING + not-reportable due to taint (deleted)
2016-07-27 11:05 UTC, Alan Jenkins
no flags Details

Description Alan Jenkins 2016-07-27 11:02:41 UTC
Created attachment 1184594 [details]
dmesg copied from ABRT details, shows multiple backtraces, first backtrace is untainted

I find it impossible to report a kernel backtrace which happens multiple times.  The first backtrace always taints the kernel.  ABRT refuses to report the backtrace due to tainted kernel.  Sad.

Issue with these symptoms was supposed to be fixed during RHEL6.  https://bugzilla.redhat.com/show_bug.cgi?id=814594


Version-Release number of selected component (if applicable):
abrt-2.8.0-5.fc23.x86_64
libreport-2.6.4-2.fc23.x86_64

How reproducible: always


Steps to Reproduce:
find some kernel bug that you can trigger with multiple backtraces :).  Don't ask me how ABRT is tested without polluting the online tracker.

Comment 1 Alan Jenkins 2016-07-27 11:05:01 UTC
Created attachment 1184596 [details]
ABRT screenshot showing the WARNING + not-reportable due to taint

Here's the screenshot of the Details, which the attached dmesg is taken from.

Comment 2 Jakub Filak 2016-07-27 11:24:13 UTC
Thank you for the report. The unwanted behavior is caused by a race between several abrt process. The race should be sorted out by upstream pull request https://github.com/abrt/abrt/pull/1164.

Comment 3 Fedora End Of Life 2016-11-25 09:28:10 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Fedora End Of Life 2016-12-20 21:15:52 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.